package net.TJ09.minecraft;

import java.util.Date;
import org.bukkit.entity.Player;
import org.bukkit.event.entity.EntityListener;
import org.bukkit.entity.CreatureType;
import org.bukkit.event.entity.CreatureSpawnEvent;

/**
 * Handle events for all Entity related events
 * @author TJ09
 */
public class SlimeBeGoneEntityListener extends EntityListener {
    private final SlimeBeGone plugin;

    public SlimeBeGoneEntityListener(SlimeBeGone instance) {
        plugin = instance;
    }
	
	public void onCreatureSpawn(CreatureSpawnEvent event) {
		if(event.getCreatureType() == CreatureType.SLIME) event.setCancelled(true);
	}
}

