package net.TJ09.minecraft;

import java.io.File;
import java.util.HashMap;
import java.util.Timer;
import java.util.Date;

import org.bukkit.entity.Player;
import org.bukkit.Server;
import org.bukkit.event.Event.Priority;
import org.bukkit.event.Event;
import org.bukkit.plugin.PluginDescriptionFile;
import org.bukkit.plugin.PluginLoader;
import org.bukkit.plugin.java.JavaPlugin;
import org.bukkit.plugin.PluginManager;
import org.bukkit.util.config.Configuration;

/**
 * SlimeBeGone for Bukkit
 *
 * @author TJ09
 */
public class SlimeBeGone extends JavaPlugin {
	private final SlimeBeGoneEntityListener entityListener = new SlimeBeGoneEntityListener(this);

	public void onEnable() {
	
		// Register our events
		PluginManager pm = getServer().getPluginManager();
		
		pm.registerEvent(Event.Type.CREATURE_SPAWN, entityListener, Priority.Highest, this);
		
		PluginDescriptionFile pdfFile = this.getDescription();
		System.out.println( pdfFile.getName() + " version " + pdfFile.getVersion() + " enabled" );
	}
	public void onDisable() {
		// NOTE: All registered events are automatically unregistered when a plugin is disabled
		System.out.println("Unloading "+this.getDescription().getName());
	}
}

